Bug 1414539 - gnome-disks: SD card break the utility [NEEDINFO]
Summary: gnome-disks: SD card break the utility
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 19:11 UTC by Michal Schorm
Modified: 2021-04-26 16:27 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:37:45 UTC
Type: Bug
zpytela: needinfo? (ngompa13)


Attachments (Terms of Use)
screen of app window after the error (20.05 KB, image/png)
2017-01-18 19:11 UTC, Michal Schorm
no flags Details

Description Michal Schorm 2017-01-18 19:11:28 UTC
Created attachment 1242270 [details]
screen of app window after the error

Usage:

# gnome-disks
 (opens GUI of the application)
> select devices > SD card
 (click in the left collumn)
> restore from disk image OR create image 
 (right top corner, applies for whole device instead of parition)
> choose image, run recovery, ok, provide root password


Error:
Error while .... (selected operation)
Message recipient disconnected from message bus without replying (g-dbus-error-quark, 4)

Then the window goes grey (see attachement).
The only resolution is to restart the utility.

Reproducible: always

Comment 1 George Nikandrov 2017-04-23 04:36:39 UTC
Same here, although I discovered it in attempt to benchmark my SD card.

Comment 2 ojab 2017-05-09 13:31:58 UTC
Same here, but with eMMC.

Comment 3 Fedora End Of Life 2017-11-16 18:52:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 ojab 2017-11-16 19:05:48 UTC
Still happens on Fedora 27 here.

Comment 5 ojab 2017-11-16 19:07:44 UTC
Oops, actually it works!
But segfaults if run on disk ChromeOS partitions, but that's another story.

Comment 6 Michal Schorm 2017-11-19 14:21:47 UTC
It is still an issue.
A week ago, i tried it again on F27. Exactly same result.

I gave up on 'gnome-disks' with SD cards. Using pure 'dd' for such purposes now.

Comment 7 Jan Schmidt 2017-12-08 05:11:13 UTC
I'm encountering this problem still on F27 too. When asked to do some tasks (like Benchmarking), udisksd exits with SIGTERM. I can't see what's wrong, but it works if I do setenforce 0, so it's something related to selinux policies.

Comment 8 Martin Korbel 2017-12-16 18:07:48 UTC
I can confirm this problem on F27 as well. No AVC in audit.log, but disabling of selinux helps as Jan said.

Comment 9 Garrett LeSage 2018-03-29 13:07:57 UTC
This is still an issue in Fedora 28 (pre-)beta.

Also confirmed: Running 'sudo setenforce 0' and restarting gnome-disks is a workaround to make "restoring" an image to an SD card work. (This is necessary when imaging a disk image to an SD or microSD card for ARM devices.)

As setting SELinux to permissive is a workaround, it appears to be an SELinux policy problem.

Comment 10 Michal Schorm 2018-03-29 14:16:09 UTC
Maintainers, can we get some quick response, please?
It has been a year ...

Comment 11 Tomas Popela 2018-03-29 18:57:50 UTC
I really don't know what info I should provide as I'm not gnome-disk's maintainer.

Comment 12 seb 2018-06-27 17:15:53 UTC
Same problem here with Fedora 28.

Set SELinux to permissive stop the problem.

Comment 13 Ben Cotton 2018-11-27 14:14:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 23:01:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Joost van der Sluis 2019-09-08 20:39:55 UTC
Still happens on version 29

Comment 16 Arnis Jaundzeikars 2019-10-13 16:31:06 UTC
Still happens on Fedora 30.

Comment 17 Ben Cotton 2019-10-31 18:46:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2020-04-30 20:47:40 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 marco 2020-05-01 18:15:02 UTC
Still happens on fedora 32

$ sudo setenforce permissive

is a workaround

Comment 20 Ben Cotton 2020-05-26 14:37:45 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 21 marco 2020-06-07 00:55:18 UTC
This bug still exists (see my last comment)

Comment 22 Ben Cotton 2020-06-15 14:59:56 UTC
Reopening and updating the version field per comment #19

Comment 23 leif.middelschulte 2020-09-15 14:57:57 UTC
To make the devices accessible again, after running into the error described above, execute:

# systemctl restart udisks2


Thw following command is a workaround for people who do not want to disable SELinux altogether, yet want to use `gnome-disks` on MMC block devices (i.e. `/dev/mmcblk0`):
1. Insert MMC into drive.
2. Execute:
# chcon -t fixed_disk_device_t /dev/mmcblk0
3. Open gnome-disks to write an image to /dev/mmcblk0

AFAICT a proper fix should go into SELinux policies.

Comment 24 Tommy 2021-04-25 17:09:28 UTC
This is still an issue on Fedora 34

Comment 25 Neal Gompa 2021-04-26 14:53:12 UTC
This seems like an SELinux policy issue, changing component and updating to track for F34, since it's still an issue.

Comment 26 Zdenek Pytela 2021-04-26 16:27:37 UTC
Neal,

Will you be able to gather all denials with full auditing enabled?

1) Open the /etc/audit/rules.d/audit.rules file in an editor.
2) Remove the following line if it exists:
-a task,never
3) Add the following line to the end of the file:
-w /etc/shadow -p w
4) Restart the audit daemon:
  # service auditd restart
5) Re-run your scenario.
6) Collect AVC denials:
  # ausearch -i -m avc,user_avc,selinux_err,user_selinux_err -ts today


Note You need to log in before you can comment on or make changes to this bug.